# Generated by Django 4.1.3 on 2022-11-29 20:46

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ("game", "0009_delete_tile"),
    ]

    operations = [
        migrations.AlterField(
            model_name="gamestate",
            name="location",
            field=models.ForeignKey(
                blank=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="game.mapnode",
            ),
        ),
        migrations.AlterField(
            model_name="mapnode",
            name="current",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="current",
                to="game.node",
            ),
        ),
        migrations.AlterField(
            model_name="mapnode",
            name="east",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="east",
                to="game.node",
            ),
        ),
        migrations.AlterField(
            model_name="mapnode",
            name="north",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="north",
                to="game.node",
            ),
        ),
        migrations.AlterField(
            model_name="mapnode",
            name="region",
            field=models.ForeignKey(
                blank=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="map",
                to="game.map",
            ),
        ),
        migrations.AlterField(
            model_name="mapnode",
            name="south",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="south",
                to="game.node",
            ),
        ),
        migrations.AlterField(
            model_name="mapnode",
            name="west",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="west",
                to="game.node",
            ),
        ),
        migrations.AlterField(
            model_name="npc",
            name="location",
            field=models.ForeignKey(
                blank=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="game.mapnode",
            ),
        ),
        migrations.AlterField(
            model_name="player",
            name="location",
            field=models.ForeignKey(
                blank=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="game.mapnode",
            ),
        ),
    ]
